package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

public class Wizard extends Player
{
    public Wizard (String name) { super(name , 60, 40,0); }

    @Override
    public void specialAbility(Entity target)
    {
        if (this.getMp() >= 8)
        {
            target.takeDamage(12);
            super.specialAbility(target);
            this.setMp(this.getMp() - 8);
            System.out.println("Amazing magic is comingggg, Bibbidi bobbidi boooooooo ⭐🪄");
        }
        else
        {
            System.out.println("You dont have enough mp to use special ability 😓");
        }
    }
}
